Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129184 - Patch1 601 breaks modules
Patch1 601 breaks modules
Status: VERIFIED DUPLICATE of bug 128718
Product: platform
Classification: Unclassified
Component: Plugin Manager
6.x
All All
: P1 (vote)
: 6.x
Assigned To: pgebauer
issues@platform
: RANDOM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 18:40 UTC by atehrani
Modified: 2008-03-18 21:37 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Plugin Module (34.25 KB, image/jpeg)
2008-03-04 18:49 UTC, atehrani
Details
Profiler Module (32.01 KB, image/jpeg)
2008-03-04 18:52 UTC, atehrani
Details
UML Module (31.48 KB, image/jpeg)
2008-03-04 18:54 UTC, atehrani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description atehrani 2008-03-04 18:40:41 UTC
After running updates from the update center the following modules have now broken.

Netbeans Plugin Development
Java Profiler
UML

When attempting to activate the following components the error is around versioning mismatch. Please see the attached 
screenshots.

Unfortunately these features are now not available and two of them are extremely important (profiler and UML).
Comment 1 atehrani 2008-03-04 18:49:17 UTC
Created attachment 57762 [details]
Plugin Module
Comment 2 atehrani 2008-03-04 18:52:04 UTC
Created attachment 57763 [details]
Profiler Module
Comment 3 atehrani 2008-03-04 18:54:11 UTC
Created attachment 57764 [details]
UML Module
Comment 4 Jana Maleckova 2008-03-07 11:31:58 UTC
reassign to autoupdate module for evaluation
Comment 5 David Simonek 2008-03-07 16:26:06 UTC
atehrani, I think we need exact info in steps how to reproduce this error - what version of netbeans did you download,
which updates did you install etc, thanks.

ccing autoupdate and installer experts.
Comment 6 Jiri Rechtacek 2008-03-07 16:47:46 UTC
Patches are delivered by sustaining team, assign to Petr G.
Reporter, please attach you message to know more about your build and patches. Thanks
Comment 7 Jiri Rechtacek 2008-03-07 17:49:54 UTC
Btw. the latest NB6.0(.1) build worksforme, all updates can be applied without problems.
  Product Version         = NetBeans IDE 6.0.1 (Build 200801291616)
  Operating System        = Linux version 2.6.22-14-generic running on i386
  Java; VM; Vendor        = 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19; Sun Microsystems Inc.
  Java Home               = /usr/local/share/java/jdk1.6.0_04/jre

atehrani, didn't you add some other Update Center then defaults (6.1 Dev UC for example)? Thanks
Comment 9 Jiri Rechtacek 2008-03-09 11:09:01 UTC
atehrani, you can use the Module Resolver module to resolve the problem:
http://deadlock.netbeans.org/hudson/job/javadoc-nbms/lastSuccessfulBuild/artifact/nbbuild/nbms/extra/org-netbeans-modules-moduleresolver.nbm
Download it and install it in Tools|Plugins|Downloaded tab. Let me know if it helped to you and list of modules affected
modules. Thanks
Comment 10 Lukas Hasik 2008-03-13 16:21:13 UTC
able to reproduce on vista when running the IDE as normal user (issue doesn't appear when running netbeans as administrator)
Comment 11 Tomas Danek 2008-03-13 16:58:17 UTC
i was able to reproduce too, when ide was installed + updated as root. Moduleresolver worked fine, it fixed missing
dependency!
Comment 12 rbalada 2008-03-13 18:10:10 UTC
Lukasi + Tomasi!

That's cool you were able to reproduce this issue. Would you please add "steps to reproduce"? From reading this issue I
could not find it. I can only do "best guess", but that's not enough.
Comment 13 Lukas Hasik 2008-03-14 12:16:45 UTC
steps to reproduce:

1, install the IDE as root
2, start IDE as root
2, add all Updates that are available
3, close IDE
4, start IDE as normal user -> the disable modules message appears

this issue is caused by the appisuport/kit module in 601 patch1 that is installed to user directory athrought it should
be installed globally. The issue has been fixed in trunk already (jrechtacek, please confirm+provide issue #).

The resolver helps to the users to recover from the wrong IDE state. There is probably no other way how to help the
users that already get into this situation with 601patch1
Comment 14 rbalada 2008-03-14 15:34:47 UTC
Lukasi,

I'm sorry to say that, but I was not able to reproduce it.
My configuration is Ubuntu Linux 7.10 (gutsy Gibon), using JavaSE 6U3 and 5U13, tried full installers of NetBeans 6.0
English and NetBeans 6.0.1 Multilanguage, always in default configurations (just accepted license and clicked Next all
the time till Finish). All tests were started with empty userdirs.

Would you please go into more details about you configuration (OS, username/privileges, JDK, which NB version and
edition was used)?
Would it be possible to check if you can reproduce the issue 2nd (3rd, 4th, etc) time?
Would it be possible to get our hands on your system?
Would it be possible to provide even more detailed steps to reproduce? For example the steps you provided miss
information about restart of IDE after update downloads or what exactly is meant under "Updates" - is it really just
updates from the "Updates" tab or also new plugins available from the "Available Plugins" tab?
Comment 15 Marian Mirilovic 2008-03-17 10:18:31 UTC
> this issue is caused by the appisuport/kit module in 601 patch1 that is installed to user directory athrought it should
> be installed globally.

I vote for rollback of these changes we'd done in Patch 1 as a part of Patch 2. I don't understand why we didn't catch
this during testing of installation of Patch 1, this is serious and we need to avoid such mistakes in future.

Sustaining team, what type of tests you are running while testing installation of patches ?
Comment 16 pgebauer 2008-03-17 15:25:36 UTC
Since the issue appearance is random and it looks like preponderance of NB Patch1 installations go well, changes will
not be rolled back so far. The issue will be kept open for recording of future issue appearances in order that steps to
reproduce will be determined.
Comment 17 Lukas Hasik 2008-03-18 15:07:34 UTC
the issue root cause was fixed by issue 128718

reassigning to auc where the issue can be tracked
Comment 18 Lukas Hasik 2008-03-18 16:46:11 UTC
unfortunatelly, we cannot do anything more with this issue. 
I'm closing as duplicate of the issue that has been fixed in plugin manager. There is no solution for 6.0.1 users
because the plugin manager cannot update itself.

*** This issue has been marked as a duplicate of 128718 ***
Comment 19 Jiri Kovalsky 2008-03-18 21:37:42 UTC
Verified as duplicate of the other issue. No solution is available for 6.0/6.0.1 users.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo